Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Interface CredentialCreationOptionsParameters.IChallengeStage

All Known Implementing Classes:
  `CredentialCreationOptionsParameters.Builder`

Enclosing class:
  CredentialCreationOptionsParameters

public static interface CredentialCreationOptionsParameters.IChallengeStage
Stage interface.

## Method Summary

Modifier and Type
Method
Description
`CredentialCreationOptionsParameters.IExcludeCredentialsStage`
`withChallenge(byte[] challenge)`
The challenge sent to the authenticator in registration ceremonies.

## Method Details

### withChallenge

CredentialCreationOptionsParameters.IExcludeCredentialsStage withChallenge(@Nonnull byte[] challenge)
The challenge sent to the authenticator in registration ceremonies.

Parameters:
  `challenge` - the challenge
Returns:
  the next stage